#define LED_PIN 3   // объявление переменной для диода на 3 пин
#define LDR_PIN A0  // объявление переменной для фоторезистора на пин А0 
#define PIR 2       // объявление переменной для датчика движения на 2 пин

void setup() {
  pinMode(LED_PIN, OUTPUT);
  pinMode(PIR, INPUT);
}

void loop() { // открытие цикла
    int val;
    val = analogRead(LDR_PIN); // чтение данных с фоторезистора
  boolean tooDark = (val<255); // проверка данных с датчика
  if (digitalRead(PIR) == HIGH && tooDark) { 
    // условие, если датчик движения обнаружил движение и переменная tooDark 
    // истина, то
    digitalWrite(LED_PIN, HIGH); // подаем высокое напряжение на диод
  } else { // иначе
    
  //counttime = millis(); --- задержка
  //if (digitalRead(PIR) == HIGH){ //&& millis() - counttime > 6) { --- условие с задержкой
  
    digitalWrite(LED_PIN, LOW); // напряжение на диод остается низким
  }
}
